*** empty log message ***
authorJim Meyering <jim@meyering.net>
Sat, 22 Sep 2001 13:16:21 +0000 (13:16 +0000)
committerJim Meyering <jim@meyering.net>
Sat, 22 Sep 2001 13:16:21 +0000 (13:16 +0000)
tests/od/od-N [new file with mode: 0755]

diff --git a/tests/od/od-N b/tests/od/od-N
new file mode 100755 (executable)
index 0000000..b82d2c1
--- /dev/null
@@ -0,0 +1,41 @@
+#!/bin/sh
+# Verify that `od -N N' reads no more than N bytes of input.
+
+if test "$VERBOSE" = yes; then
+  set -x
+  od --version
+fi
+
+# FIXME: . $srcdir/../envvar-check
+# FIXME: . $srcdir/../lang-default
+# FIXME: PRIV_CHECK_ARG=require-root . $srcdir/../priv-check
+# FIXME: PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
+
+pwd=`pwd`
+tmp=od-N.$$
+trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+echo abcdefg > in || framework_failure=1
+
+if test $framework_failure = 1; then
+  echo 'failure in testing framework' 1>&2
+  (exit 1); exit
+fi
+
+fail=0
+
+(od -An -N3 -c; od -An -N3 -c) < in > out
+cat <<EOF > exp || fail=1
+   a   b   c
+   d   e   f
+EOF
+cmp out exp || {
+  fail=1
+  diff out exp 2> /dev/null
+  }
+
+(exit $fail); exit